public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: do not finish prematurely when cups-pdf package is present
Date: Fri, 11 Sep 2026 13:20:57 GMT	[thread overview]
Message-ID: <178913285762.1.9574079246103811737.tests-selinux-1423878d5599@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 1423878d559948dfe54cd745cb6537ac332c9446
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2023-08-30T11:17:17+02:00
            Stats  : +7/-4 in 2 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/1423878d559948dfe54cd745cb6537ac332c9446?branch=pr775-checkpolicy-revdeps

            Log:
            do not finish prematurely when cups-pdf package is present

The cups-pdf package is available in the EPEL repository for RHEL-8
and RHEL-9. The test should NOT finish prematurely if the cups-pdf
package is installed. The test should fail if the cups-pdf package
cannot be installed even if the test tried to install it from EPEL.

---
diff --git a/selinux-policy/cups-pdf-and-similar/main.fmf b/selinux-policy/cups-pdf-and-similar/main.fmf
index eee7981..45a71bd 100644
--- a/selinux-policy/cups-pdf-and-similar/main.fmf
+++ b/selinux-policy/cups-pdf-and-similar/main.fmf
@@ -32,8 +32,6 @@ tag:
   - NoRHEL5
   - NoRHEL6
   - NoRHEL7
-  - TIPfail_infra
-  - failinfedora
   - targeted
 link:
   - relates: https://bugzilla.redhat.com/show_bug.cgi?id=560220
@@ -47,7 +45,7 @@ link:
   - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1832521
 adjust:
   - enabled: false
-    when: distro == rhel-4, rhel-5, rhel-6, rhel-alt-7, rhel-8
+    when: distro == rhel-4, rhel-5, rhel-6, rhel-alt-7
     continue: false
 extra-nitrate: TC#0607292
 extra-summary: /CoreOS/selinux-policy/Regression/cups-pdf-and-similar

diff --git a/selinux-policy/cups-pdf-and-similar/runtest.sh b/selinux-policy/cups-pdf-and-similar/runtest.sh
index 149bc38..9820e7d 100755
--- a/selinux-policy/cups-pdf-and-similar/runtest.sh
+++ b/selinux-policy/cups-pdf-and-similar/runtest.sh
@@ -40,7 +40,7 @@ ALLOWED_USERS=${ALLOWED_USERS:-"staff_u user_u sysadm_u unconfined_u"}
 DENIED_USERS=${DENIED_USERS:-"guest_u xguest_u"}
 
 rlJournalStart
-    if rlIsRHEL || rlIsFedora "<32"; then
+    if rlIsFedora "<32"; then
         rlLog "Not applicable to this OS version."
         rlJournalEnd
         exit 0
@@ -51,6 +51,9 @@ rlJournalStart
         rlSESatisfyRequires
         rlAssertRpm ${PACKAGE}
         rlAssertRpm ${PACKAGE}-targeted
+        if ! rpm -q cups-pdf >& /dev/null ; then
+            rlRun "yum -y install cups-pdf --enablerepo epel"
+        fi
         rlAssertRpm ${SERVICE_PACKAGE}
 
         rlServiceStart ${SERVICE_NAME}
@@ -102,9 +105,11 @@ rlJournalStart
         rlSESearchRule "type_transition cups_pdf_t var_log_t : file cupsd_log_t"
     rlPhaseEnd
 
+    if ! rlIsRHEL 8 ; then
     rlPhaseStartTest "bz#1832521"
         rlSESearchRule "allow cups_pdf_t cups_pdf_t : unix_dgram_socket { create connect } [ ]"
     rlPhaseEnd
+    fi
 
     rlPhaseStartTest "real scenario -- confined users"
         CREATED_USERS=""

                 reply	other threads:[~2026-09-11 13:20 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913285762.1.9574079246103811737.tests-selinux-1423878d5599@fedoraproject.org \
    --to=mmalik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox